class Tank extends ONSWheeledCraft;


defaultproperties
{
	Mesh=SkeletalMesh'SimpleVehicles_K.Tank'

	DrawScale=1.0
	DrawScale3D=(X=1.0,Y=1.0,Z=1.0)

	FPCamPos=(X=-10,Y=-30,Z=140)
	TPCamLookat=(X=-100,Y=0,Z=100)
	TPCamDistance=900

	bDrawDriverInTP=true
	bDrawMeshInFP=true

	MaxViewYaw=16000
	MaxViewPitch=16000

	DrivePos=(X=0,Y=0,Z=40)

	//IdleSound=sound'BuggySounds.Engine.AWBuggyIdle2' TODO TEMP_CL
	EngineRPMSoundRange=5000
    SoundRadius=255
	SoundVolume=255
	IdleRPM=500
	RevMeterScale=4000

	SteerBoneName="SteeringWheel"
	SteerBoneAxis=AXIS_Z
	SteerBoneMaxAngle=90

	WheelPenScale=1.7
	WheelSoftness=0.01
	WheelRestitution=0.1
	WheelAdhesion=0.0
	WheelLongFrictionFunc=(Points=((InVal=0,OutVal=0.0),(InVal=100.0,OutVal=1.0),(InVal=200.0,OutVal=0.7),(InVal=10000000000.0,OutVal=0.7)))
	WheelLongFrictionScale=1.0
	WheelLatFrictionScale=1.2
	WheelLongSlip=0.001
	WheelLatSlipFunc=(Points=((InVal=0.0,OutVal=0.0),(InVal=40.0,OutVal=0.03),(InVal=10000000000.0,OutVal=0.03)))
	WheelHandbrakeSlip=2.0
	WheelHandbrakeFriction=0.7
	WheelSuspensionTravel=25.0
	WheelSuspensionOffset=12.0

	HandbrakeThresh=200
	FTScale=0.03
	ChassisTorqueScale=0.200000

	MinBrakeFriction=1.5
	MaxBrakeTorque=40.0
	//MaxSteerAngle=35
    MaxSteerAngleCurve=(Points=((InVal=0,OutVal=35.0),(InVal=1500.0,OutVal=25.0),(InVal=1000000000.0,OutVal=20.0)))	
	SteerSpeed=110
	StopThreshold=100
	TorqueCurve=(Points=((InVal=0,OutVal=15.0),(InVal=200,OutVal=18.0),(InVal=1800,OutVal=21.0),(InVal=2500,OutVal=0.0)))
	EngineBrakeFactor=0.0001
	EngineBrakeRPMScale=0.1
	EngineInertia=0.1
	WheelInertia=0.1

	TransRatio=0.15
	GearRatios[0]=-0.5
	GearRatios[1]=0.4
	GearRatios[2]=0.65
	GearRatios[3]=0.85
	GearRatios[4]=1.1
	ChangeUpPoint=2000
	ChangeDownPoint=1000
	LSDFactor=1.0

	VehicleMass=7.0

    ExitPositions(0)=(Y=-415.000000,Z=100.000000)
    ExitPositions(1)=(Y=415.000000,Z=100.000000)
    ExitPositions(2)=(Y=0.000000,Z=-400.000000)
    ExitPositions(3)=(Y=0.000000,Z=400.000000)
    //EntryPositions(0)=(Y=-300.000000,Z=-20.000000)
    //EntryPositions(1)=(Y=300.000000,Z=-20.000000)
    EntryPosition=(Y=0.000000,Z=-20.000000)
    EntryRadius=375

    Begin Object Class=SVehicleWheel Name=SVehicleWheel0
        BoneName="BR"
        WheelRadius=78.000000
        bPoweredWheel=true
		bTrackWheel=true
        bHandbrakeWheel=false
		//SteerType=ST_Inverted
		SteerType=ST_Fixed
    End Object
    Wheels(0)=SVehicleWheel'SVehicleWheel0'
    Begin Object Class=SVehicleWheel Name=SVehicleWheel1
        BoneName="BL"
        WheelRadius=78.000000
        bPoweredWheel=true
		bTrackWheel=true
        bHandbrakeWheel=false
		//SteerType=ST_Inverted
		SteerType=ST_Fixed
    End Object
    Wheels(1)=SVehicleWheel'SVehicleWheel1'
    Begin Object Class=SVehicleWheel Name=SVehicleWheel2
        BoneName="FR"
        WheelRadius=78.000000
        bPoweredWheel=true
		bTrackWheel=true
        bHandbrakeWheel=false
		SteerType=ST_Steered
    End Object
    Wheels(2)=SVehicleWheel'SVehicleWheel2'
    Begin Object Class=SVehicleWheel Name=SVehicleWheel3
        BoneName="FL"
        WheelRadius=78.000000
        bPoweredWheel=true
		bTrackWheel=true
        bHandbrakeWheel=false
		SteerType=ST_Steered
    End Object
    Wheels(3)=SVehicleWheel'SVehicleWheel3'

    Begin Object Class=KarmaParamsRBFull Name=KarmaParamsRBFull0
        KInertiaTensor(0)=2.000000
        KInertiaTensor(3)=6.000000
        KInertiaTensor(5)=6.500000
        KCOMOffset=(Z=-2.5000)
        KLinearDamping=0.050000
        KAngularDamping=0.050000
        KStartEnabled=True
        bKNonSphericalInertia=True
        bHighDetailOnly=False
        bClientOnly=False
        bKDoubleTickRate=True
        //SafeTimeMode=KST_Always
        KFriction=0.500000
        Name="KarmaParamsRBFull0"
    End Object
    KParams=KarmaParamsRBFull'KarmaParamsRBFull0'
}